# opentl::core::util::ParameterContainer Class Reference

Inherited by opentl::core::util::GaussNewton, opentl::cvprocess::GpuStdShaders, opentl::detector::Detector, opentl::input::AbstractSensor, opentl::modalities::Likelihood, opentl::modalities::Modality, opentl::modelprojection::ContourSampler, opentl::modelprojection::GLRenderer, opentl::modelprojection::GLScene, and opentl::output::Display.

List of all members.

## Public Types
enum | _Status { offlineChanged = 0, offlineUnchanged = 1 }
## Public Member Functions
void | clearParameterStatus ()
std::vector< AbstractParameter * > | getAllParameters (Parameter::Type type)
template<typename T >
T | getParameter (unsigned int param) const
template<typename T >
T | getParameterDefault (unsigned int param) const
template<typename T >
void | getParameterRange (unsigned int param, T &min, T &max) const
Status | getParameterStatus ()
virtual void | init ()=0
bool | isParameterOffline (unsigned int param) const
bool | isParameterOnline (unsigned int param) const
| ParameterContainer ()
template<typename T >
void | resetParameter (unsigned int param)
template<typename T >
void | setParameter (unsigned int param, T value)
virtual | ~ParameterContainer ()
## Protected Member Functions
template<typename T >
void | addParameter (unsigned int param, T defaultValue, T minValue, T maxValue)
template<typename T >
void | addParameter (unsigned int param, T value)
virtual void | onlineParameterChangedCallBack (unsigned int param)

## Member Typedef Documentation

typedef enum opentl::core::util::ParameterContainer::_Status opentl::core::util::ParameterContainer::Status

## Member Enumeration Documentation

enum opentl::core::util::ParameterContainer::_Status

Enumerator:

  offlineChanged |
  offlineUnchanged |

enum opentl::core::util::ParameterContainer::OfflineParameterName

Enumerator:

  OFFLINE_COUNT |

enum opentl::core::util::ParameterContainer::OnlineParameterName

Enumerator:

  ONLINE_COUNT |

## Constructor & Destructor Documentation

opentl::core::util::ParameterContainer::ParameterContainer | ( |  | ) | `[inline]`

virtual opentl::core::util::ParameterContainer::~ParameterContainer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<typename T >

void opentl::core::util::ParameterContainer::addParameter | ( | unsigned int | param,
|  | T | defaultValue,
|  | T | minValue,
|  | T | maxValue |
| ) |  |  | `[inline, protected]`

template<typename T >

void opentl::core::util::ParameterContainer::addParameter | ( | unsigned int | param,
|  | T | value |
| ) |  |  | `[inline, protected]`

void opentl::core::util::ParameterContainer::clearParameterStatus | ( |  | ) | `[inline]`

std::vector<AbstractParameter*> opentl::core::util::ParameterContainer::getAllParameters | ( | Parameter::Type | type | ) | `[inline]`

template<typename T >

T opentl::core::util::ParameterContainer::getParameter | ( | unsigned int | param | ) | const`[inline]`

template<typename T >

T opentl::core::util::ParameterContainer::getParameterDefault | ( | unsigned int | param | ) | const`[inline]`

template<typename T >

void opentl::core::util::ParameterContainer::getParameterRange | ( | unsigned int | param,
|  | T & | min,
|  | T & | max |
| ) |  |  | const`[inline]`

Status opentl::core::util::ParameterContainer::getParameterStatus | ( |  | ) | `[inline]`

virtual void opentl::core::util::ParameterContainer::init | ( |  | ) | `[pure virtual]`

Implemented in opentl::core::util::GaussNewton, opentl::cvprocess::GpuStdShaders, opentl::detector::BlobDetector, opentl::detector::HandDetector, opentl::detector::ParticleDetector, opentl::detector::PeopleDetector, opentl::input::AbstractSensor, opentl::input::FileSequence, opentl::input::ImageSequence, opentl::input::LinuxDC1394Camera, opentl::input::OpenCVCamera, opentl::input::V4L2Camera, opentl::input::VideoFile, opentl::input::WindowsCMU1394Camera, opentl::modalities::BackgroundSub, opentl::modalities::Blobs, opentl::modalities::ColourGMMGPU, opentl::modalities::ColourHist2D, opentl::modalities::ContourCCD, opentl::modalities::DataFusion, opentl::modalities::DummyModality, opentl::modalities::HarrisKeypoints, opentl::modalities::HistoOrientedGrad, opentl::modalities::HoughLines, opentl::modalities::IntensityEdges, opentl::modalities::Likelihood, opentl::modalities::Modality, opentl::modalities::Motion, opentl::modalities::OpticalFlow, opentl::modalities::SurfFeatures, opentl::modalities::TemplateMap, opentl::modelprojection::ContourSampler, opentl::modelprojection::GLRenderer, opentl::modelprojection::GLScene, and opentl::output::Display.

bool opentl::core::util::ParameterContainer::isParameterOffline | ( | unsigned int | param | ) | const`[inline]`

bool opentl::core::util::ParameterContainer::isParameterOnline | ( | unsigned int | param | ) | const`[inline]`

virtual void opentl::core::util::ParameterContainer::onlineParameterChangedCallBack | ( | unsigned int | param | ) | `[inline, protected, virtual]`

Reimplemented in opentl::input::LinuxDC1394Camera, opentl::input::V4L2Camera, and opentl::input::WindowsCMU1394Camera.

template<typename T >

void opentl::core::util::ParameterContainer::resetParameter | ( | unsigned int | param | ) | `[inline]`

template<typename T >

void opentl::core::util::ParameterContainer::setParameter | ( | unsigned int | param,
|  | T | value |
| ) |  |  | `[inline]`